.TH PANICPARSE 1 "2019-09-07"
.SH NAME
panicparse \- parses panic stack traces from golang programs
.SH SYNOPSIS
.B panicparse
.RI [ options ] " file"
.br
.BR go " test -v 2>&1 | " panicparse
.SH DESCRIPTION
This manual page documents briefly the
.B panicparse
command.
.PP
\fBpanicparse\fP parses panic stack traces, densifies and deduplicates
goroutines with similar stack traces.
Helps debugging crashes and deadlocks in heavily parallelized processes.
.SH OPTIONS
A summary of options is included below.
.TP
.B \-aggressive
Aggressive deduplication including non pointers
.TP
.BI \-f " string"
Regexp to filter out headers that match, ex: \-f 'IO wait|syscall'
.TP
.B \-force\-color
Forcibly enable coloring when with stdout is redirected
.TP
.B \-full\-path
Print full sources path
.TP
.BI \-html " string"
Output an HTML file
.TP
.BI \-m " string"
Regexp to filter by only headers that match, ex: \-m 'semacquire'
.TP
.B \-no\-color
Disable coloring
.TP
.B \-parse
Parses source files to deduct types; use \-parse=false to work around
bugs in source parser (default true)
.TP
.B \-rebase
Guess GOROOT and GOPATH (default true)
.TP
.B \-v
Enables verbose logging output
